qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DISPATCH-521) Switch to verify qdrouterd installation
Date Tue, 27 Sep 2016 13:05:20 GMT

    [ https://issues.apache.org/jira/browse/DISPATCH-521?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15526067#comment-15526067
] 

ASF GitHub Bot commented on DISPATCH-521:
-----------------------------------------

Github user ted-ross commented on a diff in the pull request:

    https://github.com/apache/qpid-dispatch/pull/103#discussion_r80685950
  
    --- Diff: CMakeLists.txt ---
    @@ -51,6 +51,10 @@ set (SO_VERSION_MAJOR 2)
     set (SO_VERSION_MINOR 0)
     set (SO_VERSION "${SO_VERSION_MAJOR}.${SO_VERSION_MINOR}")
     
    +set (QPID_DISPATCH_VERSION_MAJOR 0)
    --- End diff --
    
    The CMake file already passes the version from VERSION.txt into the set of defined macros
in config.h.  I don't think it's desirable to create yet another authoritative source-of-version
that needs to be maintained manually on each release.


> Switch to verify qdrouterd installation
> ---------------------------------------
>
>                 Key: DISPATCH-521
>                 URL: https://issues.apache.org/jira/browse/DISPATCH-521
>             Project: Qpid Dispatch
>          Issue Type: Improvement
>    Affects Versions: 0.7.0
>            Reporter: Jiri Danek
>
> There should be a {{qdrouterd}} switch that can be used to verify that the router is
installed correctly. Its success should
> # Give user opportunity to check that PATH is set correctly. It should print full path
to itself (qdrouterd binary) in the output.
> # Print router version, so that user can check the version is correct.
> # Ensure that all dynamically loaded libraries are present and qdrouterd can be started.
> # Ensure that PYTHONPATH is set correctly
> Running just {{qdrouterd}} is not sufficient, because port 5672 may be currently occupied.
The command fails, even though router is installed correctly.
> Running {{qdrouterd \-h}} is also not adequate. Currently, on my machine, qdrouterd is
failing with {{Wed Sep 21 10:03:52 2016 ERROR (error) Python: ImportError: No module named
qpid_dispatch_site}} yet {{qdrouterd \-h}} is working just fine.
> I suggest adding a {{--version}} switch that would do what I listed above.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message